PortalPropertiesForm (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.ui.action.portlet.admin.PortalPropertiesForm class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.ui.action.portlet.admin
Class PortalPropertiesForm

    java.lang.Object
      org.apache.struts.action.ActionForm
          org.apache.struts.validator.ValidatorForm
              org.hyperic.hq.ui.action.BaseValidatorForm
                  org.hyperic.hq.ui.action.portlet.DashboardBaseForm
                      org.hyperic.hq.ui.action.portlet.admin.PortalPropertiesForm

All Implemented Interfaces:
  java.io.Serializable

    public class PortalPropertiesForm

extends DashboardBaseForm

A subclass of `ValidatorForm` that adds convenience methods for dealing with image-based form buttons.

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.struts.validator.ValidatorForm
`page, validatorResults`

Fields inherited from class org.apache.struts.action.ActionForm
`multipartRequestHandler, servlet`

Constructor Summary
`PortalPropertiesForm()`

Method Summary
`java.lang.String[]` | `getLeftContent()` Getter for property leftContent.
`java.lang.String[]` | `getLeftSel()` Getter for property leftSel.
`java.lang.String[]` | `getRightContent()` Getter for property rightContent.
`java.lang.String[]` | `getRightSel()` Getter for property rightSel.
`void` | `reset(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)`
`void` | `setLeftContent(java.lang.String[] leftContent)` Setter for property leftContent.
`void` | `setLeftSel(java.lang.String[] leftSel)` Setter for property leftSel.
`void` | `setRightContent(java.lang.String[] rightContent)` Setter for property rightContent.
`void` | `setRightSel(java.lang.String[] rightSel)` Setter for property rightSel.
`java.lang.String` | `toString()`
`org.apache.struts.action.ActionErrors` | `validate(org.apache.struts.action.ActionMapping mapping, javax.servlet.http.HttpServletRequest request)` Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to.

Methods inherited from class org.hyperic.hq.ui.action.portlet.DashboardBaseForm
`getPortletName, getToken, setPortletName, setToken`

Methods inherited from class org.hyperic.hq.ui.action.BaseValidatorForm
`getAdd, getCancel, getCreate, getDelete, getEnable, getOk, getOkassign, getPn, getPs, getRemove, getReset, getUserset, isAddClicked, isCancelClicked, isCreateClicked, isDeleteClicked, isEnableClicked, isOkAssignClicked, isOkClicked, isRemoveClicked, isResetClicked, isUsersetClicked, setAdd, setCancel, setCreate, setDelete, setEnable, setOk, setOkassign, setPn, setPs, setRemove, setReset, setUserset, shouldValidate`

Methods inherited from class org.apache.struts.validator.ValidatorForm
`getPage, getResultValueMap, getValidationKey, getValidatorResults, setPage, setValidatorResults`

Methods inherited from class org.apache.struts.action.ActionForm
`getMultipartRequestHandler, getServlet, getServletWrapper, reset, setMultipartRequestHandler, setServlet, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PortalPropertiesForm

    public PortalPropertiesForm()

Method Detail

### reset

    public void reset(org.apache.struts.action.ActionMapping mapping,
                      javax.servlet.http.HttpServletRequest request)

  Overrides:
    `reset` in class `DashboardBaseForm`

### validate

    public org.apache.struts.action.ActionErrors validate(org.apache.struts.action.ActionMapping mapping,
                                                          javax.servlet.http.HttpServletRequest request)

  Description copied from class: `BaseValidatorForm`
  Only validate if 1) the form's ok or okassign button was clicked and 2) the mapping specifies an input form to return to. condition #2 can be false when a form has failed validation and has forwarded to the input page; the ok button request parameter will still be userset, but the prepare action for the input page will not have (another) input page specified.

  Overrides:
    `validate` in class `BaseValidatorForm`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `BaseValidatorForm`

### getRightContent

    public java.lang.String[] getRightContent()

  Getter for property rightContent.

  Returns:
    Value of property rightContent.

### setRightContent

    public void setRightContent(java.lang.String[] rightContent)

  Setter for property rightContent.

  Parameters:
    `rightContent` - New value of property rightContent.

### getLeftContent

    public java.lang.String[] getLeftContent()

  Getter for property leftContent.

  Returns:
    Value of property leftContent.

### setLeftContent

    public void setLeftContent(java.lang.String[] leftContent)

  Setter for property leftContent.

  Parameters:
    `leftContent` - New value of property leftContent.

### getLeftSel

    public java.lang.String[] getLeftSel()

  Getter for property leftSel.

  Returns:
    Value of property leftSel.

### setLeftSel

    public void setLeftSel(java.lang.String[] leftSel)

  Setter for property leftSel.

  Parameters:
    `leftSel` - New value of property leftSel.

### getRightSel

    public java.lang.String[] getRightSel()

  Getter for property rightSel.

  Returns:
    Value of property rightSel.

### setRightSel

    public void setRightSel(java.lang.String[] rightSel)

  Setter for property rightSel.

  Parameters:
    `rightSel` - New value of property rightSel.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.